/usr/lib/pymodules/python2.7/mpmath/libmp/exec_py3.py failed during installation

Bug #1105300 reported by Santiago Roland on 2013-01-25
18
This bug affects 4 people
Affects Status Importance Assigned to Milestone
mpmath (Ubuntu)
Medium
Unassigned

Bug Description

Tried to install Claws-mail, Evolution and Handbrake from PPA repository and got this error:

Fetched 20.8 MB in 19min 2s (18.2 kB/s)
Extracting templates from packages: 100%
Preconfiguring packages ...
Selecting previously unselected package evolution-data-server-common.
(Reading database ... 616375 files and directories currently installed.)
Unpacking evolution-data-server-common (from .../evolution-data-server-common_3.2.3-0ubuntu7_all.deb) ...
Selecting previously unselected package libedataserverui-3.0-1.
Unpacking libedataserverui-3.0-1 (from .../libedataserverui-3.0-1_3.2.3-0ubuntu7_amd64.deb) ...
Selecting previously unselected package libevolution.
Unpacking libevolution (from .../libevolution_3.2.3-0ubuntu6_amd64.deb) ...
evolution-alarm: no process found
Selecting previously unselected package libcurl3-nss.
Unpacking libcurl3-nss (from .../libcurl3-nss_7.22.0-3ubuntu4_amd64.deb) ...
Selecting previously unselected package liboauth0.
Unpacking liboauth0 (from .../liboauth0_0.9.4-3_amd64.deb) ...
Selecting previously unselected package libgdata-common.
Unpacking libgdata-common (from .../libgdata-common_0.12.0-1_all.deb) ...
Selecting previously unselected package libgdata13.
Unpacking libgdata13 (from .../libgdata13_0.12.0-1_amd64.deb) ...
Selecting previously unselected package libgweather-common.
Unpacking libgweather-common (from .../libgweather-common_3.4.1-0ubuntu1_all.deb) ...
Selecting previously unselected package libgweather-3-0.
Unpacking libgweather-3-0 (from .../libgweather-3-0_3.4.1-0ubuntu1_amd64.deb) ...
Selecting previously unselected package evolution-common.
Unpacking evolution-common (from .../evolution-common_3.2.3-0ubuntu6_all.deb) ...
Selecting previously unselected package evolution-data-server.
Unpacking evolution-data-server (from .../evolution-data-server_3.2.3-0ubuntu7_amd64.deb) ...
Selecting previously unselected package evolution.
Unpacking evolution (from .../evolution_3.2.3-0ubuntu6_amd64.deb) ...
Selecting previously unselected package libpst4.
Unpacking libpst4 (from .../libpst4_0.6.54-0ubuntu1_amd64.deb) ...
Selecting previously unselected package libreadline5.
Unpacking libreadline5 (from .../libreadline5_5.2-11_amd64.deb) ...
Selecting previously unselected package bogofilter-common.
Unpacking bogofilter-common (from .../bogofilter-common_1.2.2+dfsg1-1ubuntu0.12.04.1_all.deb) ...
Selecting previously unselected package bogofilter-bdb.
Unpacking bogofilter-bdb (from .../bogofilter-bdb_1.2.2+dfsg1-1ubuntu0.12.04.1_amd64.deb) ...
Selecting previously unselected package bogofilter.
Unpacking bogofilter (from .../bogofilter_1.2.2+dfsg1-1ubuntu0.12.04.1_amd64.deb) ...
Selecting previously unselected package libruby1.8.
Unpacking libruby1.8 (from .../libruby1.8_1.8.7.352-2ubuntu1.1_amd64.deb) ...
Selecting previously unselected package ruby1.8.
Unpacking ruby1.8 (from .../ruby1.8_1.8.7.352-2ubuntu1.1_amd64.deb) ...
Selecting previously unselected package bsfilter.
Unpacking bsfilter (from .../bsfilter_1%3a1.0.17-1.1_all.deb) ...
Selecting previously unselected package libtommath0.
Unpacking libtommath0 (from .../libtommath0_0.42.0-1_amd64.deb) ...
Selecting previously unselected package libclamav6.
Unpacking libclamav6 (from .../libclamav6_0.97.6+dfsg-1ubuntu0.12.04.1_amd64.deb) ...
Selecting previously unselected package clamav-base.
Unpacking clamav-base (from .../clamav-base_0.97.6+dfsg-1ubuntu0.12.04.1_all.deb) ...
Selecting previously unselected package clamav-freshclam.
Unpacking clamav-freshclam (from .../clamav-freshclam_0.97.6+dfsg-1ubuntu0.12.04.1_amd64.deb) ...
Selecting previously unselected package clamav.
Unpacking clamav (from .../clamav_0.97.6+dfsg-1ubuntu0.12.04.1_amd64.deb) ...
Selecting previously unselected package libcompfaceg1.
Unpacking libcompfaceg1 (from .../libcompfaceg1_1%3a1.5.2-5_amd64.deb) ...
Selecting previously unselected package libetpan15.
Unpacking libetpan15 (from .../libetpan15_1.0-5_amd64.deb) ...
Selecting previously unselected package libpisock9.
Unpacking libpisock9 (from .../libpisock9_0.12.5-4ubuntu1_amd64.deb) ...
Selecting previously unselected package claws-mail.
Unpacking claws-mail (from .../claws-mail_3.8.0-1ubuntu1_amd64.deb) ...
Selecting previously unselected package claws-mail-acpi-notifier.
Unpacking claws-mail-acpi-notifier (from .../claws-mail-acpi-notifier_3.8.0-1build1_amd64.deb) ...
Selecting previously unselected package claws-mail-address-keeper.
Unpacking claws-mail-address-keeper (from .../claws-mail-address-keeper_3.8.0-1build1_amd64.deb) ...
Selecting previously unselected package claws-mail-archiver-plugin.
Unpacking claws-mail-archiver-plugin (from .../claws-mail-archiver-plugin_3.8.0-1build1_amd64.deb) ...
Selecting previously unselected package claws-mail-attach-remover.
Unpacking claws-mail-attach-remover (from .../claws-mail-attach-remover_3.8.0-1build1_amd64.deb) ...
Selecting previously unselected package claws-mail-attach-warner.
Unpacking claws-mail-attach-warner (from .../claws-mail-attach-warner_3.8.0-1build1_amd64.deb) ...
Selecting previously unselected package claws-mail-bogofilter.
Unpacking claws-mail-bogofilter (from .../claws-mail-bogofilter_3.8.0-1ubuntu1_amd64.deb) ...
Selecting previously unselected package claws-mail-bsfilter-plugin.
Unpacking claws-mail-bsfilter-plugin (from .../claws-mail-bsfilter-plugin_3.8.0-1build1_amd64.deb) ...
Selecting previously unselected package claws-mail-clamd-plugin.
Unpacking claws-mail-clamd-plugin (from .../claws-mail-clamd-plugin_3.8.0-1build1_amd64.deb) ...
Selecting previously unselected package claws-mail-dbg.
Unpacking claws-mail-dbg (from .../claws-mail-dbg_3.8.0-1ubuntu1_amd64.deb) ...
Selecting previously unselected package claws-mail-doc.
Unpacking claws-mail-doc (from .../claws-mail-doc_3.8.0-1ubuntu1_all.deb) ...
Selecting previously unselected package claws-mail-vcalendar-plugin.
Unpacking claws-mail-vcalendar-plugin (from .../claws-mail-vcalendar-plugin_3.8.0-1build1_amd64.deb) ...
Selecting previously unselected package claws-mail-perl-filter.
Unpacking claws-mail-perl-filter (from .../claws-mail-perl-filter_3.8.0-1build1_amd64.deb) ...
Selecting previously unselected package claws-mail-feeds-reader.
Unpacking claws-mail-feeds-reader (from .../claws-mail-feeds-reader_3.8.0-1build1_amd64.deb) ...
Selecting previously unselected package claws-mail-mailmbox-plugin.
Unpacking claws-mail-mailmbox-plugin (from .../claws-mail-mailmbox-plugin_3.8.0-1build1_amd64.deb) ...
Selecting previously unselected package claws-mail-html2-viewer.
Unpacking claws-mail-html2-viewer (from .../claws-mail-html2-viewer_3.8.0-1build1_amd64.deb) ...
Selecting previously unselected package claws-mail-fetchinfo-plugin.
Unpacking claws-mail-fetchinfo-plugin (from .../claws-mail-fetchinfo-plugin_3.8.0-1build1_amd64.deb) ...
Selecting previously unselected package claws-mail-newmail-plugin.
Unpacking claws-mail-newmail-plugin (from .../claws-mail-newmail-plugin_3.8.0-1build1_amd64.deb) ...
Selecting previously unselected package claws-mail-multi-notifier.
Unpacking claws-mail-multi-notifier (from .../claws-mail-multi-notifier_3.8.0-1build1_amd64.deb) ...
Selecting previously unselected package claws-mail-spam-report.
Unpacking claws-mail-spam-report (from .../claws-mail-spam-report_3.8.0-1build1_amd64.deb) ...
Selecting previously unselected package claws-mail-tnef-parser.
Unpacking claws-mail-tnef-parser (from .../claws-mail-tnef-parser_3.8.0-1build1_amd64.deb) ...
Selecting previously unselected package claws-mail-fancy-plugin.
Unpacking claws-mail-fancy-plugin (from .../claws-mail-fancy-plugin_3.8.0-1build1_amd64.deb) ...
Selecting previously unselected package claws-mail-python-plugin.
Unpacking claws-mail-python-plugin (from .../claws-mail-python-plugin_3.8.0-1build1_amd64.deb) ...
Selecting previously unselected package claws-mail-gdata-plugin.
Unpacking claws-mail-gdata-plugin (from .../claws-mail-gdata-plugin_3.8.0-1build1_amd64.deb) ...
Selecting previously unselected package claws-mail-extra-plugins.
Unpacking claws-mail-extra-plugins (from .../claws-mail-extra-plugins_3.8.0-1build1_all.deb) ...
Selecting previously unselected package claws-mail-extra-plugins-dbg.
Unpacking claws-mail-extra-plugins-dbg (from .../claws-mail-extra-plugins-dbg_3.8.0-1build1_amd64.deb) ...
Selecting previously unselected package claws-mail-i18n.
Unpacking claws-mail-i18n (from .../claws-mail-i18n_3.8.0-1ubuntu1_all.deb) ...
Selecting previously unselected package claws-mail-pgpmime.
Unpacking claws-mail-pgpmime (from .../claws-mail-pgpmime_3.8.0-1ubuntu1_amd64.deb) ...
Selecting previously unselected package claws-mail-pgpinline.
Unpacking claws-mail-pgpinline (from .../claws-mail-pgpinline_3.8.0-1ubuntu1_amd64.deb) ...
Selecting previously unselected package libdigest-hmac-perl.
Unpacking libdigest-hmac-perl (from .../libdigest-hmac-perl_1.03+dfsg-1_all.deb) ...
Selecting previously unselected package libnet-ip-perl.
Unpacking libnet-ip-perl (from .../libnet-ip-perl_1.25-3_all.deb) ...
Selecting previously unselected package libnet-dns-perl.
Unpacking libnet-dns-perl (from .../libnet-dns-perl_0.66-2ubuntu3_amd64.deb) ...
Selecting previously unselected package libnetaddr-ip-perl.
Unpacking libnetaddr-ip-perl (from .../libnetaddr-ip-perl_4.058+dfsg-2_amd64.deb) ...
Selecting previously unselected package spamassassin.
Unpacking spamassassin (from .../spamassassin_3.3.2-2ubuntu1_all.deb) ...
Selecting previously unselected package claws-mail-spamassassin.
Unpacking claws-mail-spamassassin (from .../claws-mail-spamassassin_3.8.0-1ubuntu1_amd64.deb) ...
Selecting previously unselected package claws-mail-trayicon.
Unpacking claws-mail-trayicon (from .../claws-mail-trayicon_3.8.0-1ubuntu1_amd64.deb) ...
Selecting previously unselected package claws-mail-smime-plugin.
Unpacking claws-mail-smime-plugin (from .../claws-mail-smime-plugin_3.8.0-1ubuntu1_amd64.deb) ...
Selecting previously unselected package claws-mail-plugins.
Unpacking claws-mail-plugins (from .../claws-mail-plugins_3.8.0-1ubuntu1_all.deb) ...
Selecting previously unselected package claws-mail-tools.
Unpacking claws-mail-tools (from .../claws-mail-tools_3.8.0-1ubuntu1_all.deb) ...
Selecting previously unselected package erlang-base.
Unpacking erlang-base (from .../erlang-base_1%3a14.b.4-dfsg-1ubuntu1_amd64.deb) ...
Selecting previously unselected package erlang-crypto.
Unpacking erlang-crypto (from .../erlang-crypto_1%3a14.b.4-dfsg-1ubuntu1_amd64.deb) ...
Selecting previously unselected package erlang-mnesia.
Unpacking erlang-mnesia (from .../erlang-mnesia_1%3a14.b.4-dfsg-1ubuntu1_amd64.deb) ...
Selecting previously unselected package erlang-runtime-tools.
Unpacking erlang-runtime-tools (from .../erlang-runtime-tools_1%3a14.b.4-dfsg-1ubuntu1_amd64.deb) ...
Selecting previously unselected package erlang-public-key.
Unpacking erlang-public-key (from .../erlang-public-key_1%3a14.b.4-dfsg-1ubuntu1_amd64.deb) ...
Selecting previously unselected package erlang-ssl.
Unpacking erlang-ssl (from .../erlang-ssl_1%3a14.b.4-dfsg-1ubuntu1_amd64.deb) ...
Selecting previously unselected package erlang-inets.
Unpacking erlang-inets (from .../erlang-inets_1%3a14.b.4-dfsg-1ubuntu1_amd64.deb) ...
Selecting previously unselected package erlang-xmerl.
Unpacking erlang-xmerl (from .../erlang-xmerl_1%3a14.b.4-dfsg-1ubuntu1_amd64.deb) ...
Selecting previously unselected package couchdb-bin.
Unpacking couchdb-bin (from .../couchdb-bin_1.0.1-0ubuntu18_amd64.deb) ...
Selecting previously unselected package python-avahi.
Unpacking python-avahi (from .../python-avahi_0.6.30-5ubuntu2_amd64.deb) ...
Selecting previously unselected package python-couchdb.
Unpacking python-couchdb (from .../python-couchdb_0.8-0ubuntu2_all.deb) ...
Selecting previously unselected package python-desktopcouch-records.
Unpacking python-desktopcouch-records (from .../python-desktopcouch-records_1.0.8-0ubuntu3_all.deb) ...
Selecting previously unselected package python-desktopcouch-application.
Unpacking python-desktopcouch-application (from .../python-desktopcouch-application_1.0.8-0ubuntu3_all.deb) ...
Selecting previously unselected package desktopcouch.
Unpacking desktopcouch (from .../desktopcouch_1.0.8-0ubuntu3_all.deb) ...
Selecting previously unselected package erlang-syntax-tools.
Unpacking erlang-syntax-tools (from .../erlang-syntax-tools_1%3a14.b.4-dfsg-1ubuntu1_amd64.deb) ...
Selecting previously unselected package libcouchdb-glib-1.0-2.
Unpacking libcouchdb-glib-1.0-2 (from .../libcouchdb-glib-1.0-2_0.7.4-0ubuntu3_amd64.deb) ...
Selecting previously unselected package libdesktopcouch-glib-1.0-2.
Unpacking libdesktopcouch-glib-1.0-2 (from .../libdesktopcouch-glib-1.0-2_0.7.4-0ubuntu3_amd64.deb) ...
Selecting previously unselected package evolution-couchdb-backend.
Unpacking evolution-couchdb-backend (from .../evolution-couchdb-backend_0.5.91-0ubuntu7_amd64.deb) ...
Selecting previously unselected package evolution-couchdb.
Unpacking evolution-couchdb (from .../evolution-couchdb_0.5.91-0ubuntu7_amd64.deb) ...
Selecting previously unselected package evolution-plugins.
Unpacking evolution-plugins (from .../evolution-plugins_3.2.3-0ubuntu6_amd64.deb) ...
Selecting previously unselected package evolution-webcal.
Unpacking evolution-webcal (from .../evolution-webcal_2.32.0-2ubuntu2_amd64.deb) ...
Selecting previously unselected package handbrake-gtk.
Unpacking handbrake-gtk (from .../handbrake-gtk_5201svnppa1~precise1_amd64.deb) ...
Selecting previously unselected package html2ps.
Unpacking html2ps (from .../html2ps_1.0b7-1_all.deb) ...
Selecting previously unselected package libenchant-dev.
Unpacking libenchant-dev (from .../libenchant-dev_1.6.0-7_amd64.deb) ...
Selecting previously unselected package libclaws-mail-dev.
Unpacking libclaws-mail-dev (from .../libclaws-mail-dev_3.8.0-1ubuntu1_amd64.deb) ...
Selecting previously unselected package libmail-spf-perl.
Unpacking libmail-spf-perl (from .../libmail-spf-perl_2.8.0-1_all.deb) ...
Selecting previously unselected package libsctp1.
Unpacking libsctp1 (from .../libsctp1_1.0.11+dfsg-2_amd64.deb) ...
Selecting previously unselected package lksctp-tools.
Unpacking lksctp-tools (from .../lksctp-tools_1.0.11+dfsg-2_amd64.deb) ...
Selecting previously unselected package re2c.
Unpacking re2c (from .../re2c_0.13.5-1build1_amd64.deb) ...
Selecting previously unselected package spamc.
Unpacking spamc (from .../spamc_3.3.2-2ubuntu1_amd64.deb) ...
Selecting previously unselected package claws-mail-themes.
Unpacking claws-mail-themes (from .../claws-mail-themes_20110216.dfsg-1_all.deb) ...
Processing triggers for gnome-icon-theme ...
Processing triggers for gconf2 ...
Processing triggers for hicolor-icon-theme ...
Processing triggers for man-db ...
Processing triggers for desktop-file-utils ...
Processing triggers for gnome-menus ...
Processing triggers for doc-base ...
Processing 4 added doc-base files...
Registering documents with scrollkeeper...
Processing triggers for ureadahead ...
ureadahead will be reprofiled on next reboot
Setting up evolution-data-server-common (3.2.3-0ubuntu7) ...
Setting up libedataserverui-3.0-1 (3.2.3-0ubuntu7) ...
Setting up libevolution (3.2.3-0ubuntu6) ...
Setting up libcurl3-nss (7.22.0-3ubuntu4) ...
Setting up liboauth0 (0.9.4-3) ...
Setting up libgdata-common (0.12.0-1) ...
Setting up libgdata13 (0.12.0-1) ...
Setting up libgweather-common (3.4.1-0ubuntu1) ...
Setting up libgweather-3-0 (3.4.1-0ubuntu1) ...
Setting up evolution-common (3.2.3-0ubuntu6) ...
Setting up evolution-data-server (3.2.3-0ubuntu7) ...
Setting up evolution (3.2.3-0ubuntu6) ...
Setting up libpst4 (0.6.54-0ubuntu1) ...
Setting up libreadline5 (5.2-11) ...
Setting up bogofilter-common (1.2.2+dfsg1-1ubuntu0.12.04.1) ...
Setting up bogofilter-bdb (1.2.2+dfsg1-1ubuntu0.12.04.1) ...
Setting up bogofilter (1.2.2+dfsg1-1ubuntu0.12.04.1) ...
Setting up libruby1.8 (1.8.7.352-2ubuntu1.1) ...
Setting up ruby1.8 (1.8.7.352-2ubuntu1.1) ...
update-alternatives: using /usr/bin/ruby1.8 to provide /usr/bin/ruby (ruby) in auto mode.
Setting up bsfilter (1:1.0.17-1.1) ...
Setting up libtommath0 (0.42.0-1) ...
Setting up libclamav6 (0.97.6+dfsg-1ubuntu0.12.04.1) ...
Setting up clamav-base (0.97.6+dfsg-1ubuntu0.12.04.1) ...
Setting up clamav-freshclam (0.97.6+dfsg-1ubuntu0.12.04.1) ...
 * Starting ClamAV virus database updater freshclam [ OK ]
Setting up clamav (0.97.6+dfsg-1ubuntu0.12.04.1) ...
Setting up libcompfaceg1 (1:1.5.2-5) ...
Setting up libetpan15 (1.0-5) ...
Setting up libpisock9 (0.12.5-4ubuntu1) ...
Setting up claws-mail (3.8.0-1ubuntu1) ...
Setting up claws-mail-acpi-notifier (3.8.0-1build1) ...
Setting up claws-mail-address-keeper (3.8.0-1build1) ...
Setting up claws-mail-archiver-plugin (3.8.0-1build1) ...
Setting up claws-mail-attach-remover (3.8.0-1build1) ...
Setting up claws-mail-attach-warner (3.8.0-1build1) ...
Setting up claws-mail-bogofilter (3.8.0-1ubuntu1) ...
Setting up claws-mail-bsfilter-plugin (3.8.0-1build1) ...
Setting up claws-mail-clamd-plugin (3.8.0-1build1) ...
Setting up claws-mail-dbg (3.8.0-1ubuntu1) ...
Setting up claws-mail-doc (3.8.0-1ubuntu1) ...
Setting up claws-mail-vcalendar-plugin (3.8.0-1build1) ...
Setting up claws-mail-perl-filter (3.8.0-1build1) ...
Setting up claws-mail-feeds-reader (3.8.0-1build1) ...
Setting up claws-mail-mailmbox-plugin (3.8.0-1build1) ...
Setting up claws-mail-html2-viewer (3.8.0-1build1) ...
Setting up claws-mail-fetchinfo-plugin (3.8.0-1build1) ...
Setting up claws-mail-newmail-plugin (3.8.0-1build1) ...
Setting up claws-mail-multi-notifier (3.8.0-1build1) ...
Setting up claws-mail-spam-report (3.8.0-1build1) ...
Setting up claws-mail-tnef-parser (3.8.0-1build1) ...
Setting up claws-mail-fancy-plugin (3.8.0-1build1) ...
Setting up claws-mail-python-plugin (3.8.0-1build1) ...
Setting up claws-mail-gdata-plugin (3.8.0-1build1) ...
Setting up claws-mail-extra-plugins (3.8.0-1build1) ...
Setting up claws-mail-extra-plugins-dbg (3.8.0-1build1) ...
Setting up claws-mail-i18n (3.8.0-1ubuntu1) ...
Setting up claws-mail-pgpmime (3.8.0-1ubuntu1) ...
Setting up claws-mail-pgpinline (3.8.0-1ubuntu1) ...
Setting up libdigest-hmac-perl (1.03+dfsg-1) ...
Setting up libnet-ip-perl (1.25-3) ...
Setting up libnet-dns-perl (0.66-2ubuntu3) ...
Setting up libnetaddr-ip-perl (4.058+dfsg-2) ...
Setting up spamassassin (3.3.2-2ubuntu1) ...
SpamAssassin Mail Filter Daemon: disabled, see /etc/default/spamassassin
Setting up claws-mail-spamassassin (3.8.0-1ubuntu1) ...
Setting up claws-mail-trayicon (3.8.0-1ubuntu1) ...
Setting up claws-mail-smime-plugin (3.8.0-1ubuntu1) ...
Setting up claws-mail-plugins (3.8.0-1ubuntu1) ...
Setting up claws-mail-tools (3.8.0-1ubuntu1) ...
Setting up erlang-base (1:14.b.4-dfsg-1ubuntu1) ...
Searching for services which depend on erlang and should be started...none found.
Setting up erlang-crypto (1:14.b.4-dfsg-1ubuntu1) ...
Setting up erlang-mnesia (1:14.b.4-dfsg-1ubuntu1) ...
Setting up erlang-runtime-tools (1:14.b.4-dfsg-1ubuntu1) ...
Setting up erlang-public-key (1:14.b.4-dfsg-1ubuntu1) ...
Setting up erlang-ssl (1:14.b.4-dfsg-1ubuntu1) ...
Setting up erlang-inets (1:14.b.4-dfsg-1ubuntu1) ...
Setting up erlang-xmerl (1:14.b.4-dfsg-1ubuntu1) ...
Setting up couchdb-bin (1.0.1-0ubuntu18) ...
Setting up python-avahi (0.6.30-5ubuntu2) ...
Setting up python-couchdb (0.8-0ubuntu2) ...
Setting up python-desktopcouch-records (1.0.8-0ubuntu3) ...
Setting up python-desktopcouch-application (1.0.8-0ubuntu3) ...
Setting up desktopcouch (1.0.8-0ubuntu3) ...
Setting up erlang-syntax-tools (1:14.b.4-dfsg-1ubuntu1) ...
Setting up libcouchdb-glib-1.0-2 (0.7.4-0ubuntu3) ...
Setting up libdesktopcouch-glib-1.0-2 (0.7.4-0ubuntu3) ...
Setting up evolution-couchdb-backend (0.5.91-0ubuntu7) ...
Setting up evolution-couchdb (0.5.91-0ubuntu7) ...
Setting up evolution-plugins (3.2.3-0ubuntu6) ...
Setting up evolution-webcal (2.32.0-2ubuntu2) ...
Setting up handbrake-gtk (5201svnppa1~precise1) ...
Setting up html2ps (1.0b7-1) ...
Setting up libenchant-dev (1.6.0-7) ...
Setting up libclaws-mail-dev (3.8.0-1ubuntu1) ...
Setting up libmail-spf-perl (2.8.0-1) ...
Setting up libsctp1 (1.0.11+dfsg-2) ...
Setting up lksctp-tools (1.0.11+dfsg-2) ...
Setting up re2c (0.13.5-1build1) ...
Setting up spamc (3.3.2-2ubuntu1) ...
Setting up claws-mail-themes (20110216.dfsg-1) ...
Processing triggers for libc-bin ...
ldconfig deferred processing now taking place
Processing triggers for python-support ...
Compiling /usr/lib/pymodules/python2.7/mpmath/libmp/exec_py3.py ...
SyntaxError: ('invalid syntax', ('/usr/lib/pymodules/python2.7/mpmath/libmp/exec_py3.py', 1, 12, 'exec_ = exec\n'))

Compiling /usr/lib/pymodules/python2.7/mpmath/tests/extratest_gamma.py ...
SyntaxError: ('invalid syntax', ('/usr/lib/pymodules/python2.7/mpmath/tests/extratest_gamma.py', 50, 35, ' print("%s ok;" % name, end=\' \')\n'))

Compiling /usr/lib/pymodules/python2.7/mpmath/tests/torture.py ...
SyntaxError: ('invalid syntax', ('/usr/lib/pymodules/python2.7/mpmath/tests/torture.py', 80, 27, ' print(".", end=\' \')\n'))

santiago@bulldozer:~$

Any ideas?

ProblemType: Bug
DistroRelease: Ubuntu 12.04
Package: python2.7 2.7.3-0ubuntu3.1
ProcVersionSignature: Ubuntu 3.2.0-23.36-generic 3.2.14
Uname: Linux 3.2.0-23-generic x86_64
NonfreeKernelModules: fglrx
ApportVersion: 2.0.1-0ubuntu17.1
Architecture: amd64
Date: Fri Jan 25 15:24:41 2013
InstallationMedia: Xubuntu 12.04 "Precise Pangolin" - Beta amd64 (20120228)
MarkForUpload: True
ProcEnviron:
 LANGUAGE=en_US:en
 TERM=xterm
 PATH=(custom, no user)
 LANG=en_US.UTF-8
 SHELL=/bin/bash
SourcePackage: python2.7
UpgradeStatus: No upgrade log present (probably fresh install)

Dimitri John Ledkov (xnox) wrote :

Looks like some python3 is leaking into the python2 package, hence the failures. The code is either missing an import from __future__ or should not simply not ship python3 code in the python2 package.

affects: python2.7 (Ubuntu) → mpmath (Ubuntu)
Changed in mpmath (Ubuntu):
status: New → Confirmed
importance: Undecided → Medium
Dimitri John Ledkov (xnox) wrote :

Can you let us know which versions of python-mpmath you have installed?

python-mpmap 0.17-1 (precise)
Maintainer: Ubuntu Developers <email address hidden>

sorry, i mispelled

python-mpmath 0.17-1 (precise)
Maintainer: Ubuntu Developers <email address hidden>

To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers

Remote bug watches

Bug watches keep track of this bug in other bug trackers.